﻿section.articles-section {
    margin-top: -165px;
}

.image {
    width: 100%;
}

img.card-img-bottom.image {
    width: 100%;
    height: 260px;
    aspect-ratio: 16 / 9;
    object-fit: cover;
    display: block;
}


:root[data-theme="light"] .card-body .card-title {
    color: #fff;
}

:root[data-theme="light"] .card-text-area {
    color: #fff !important;
}

 :root[data-theme="light"] .card-link a{
        color: #fff;
  }

    .card-body {
        padding: 20px;
            height: 30%;
    }

.card-link {
    padding: 20px;
    margin-top: 45px;
    margin-left: 90px;
}

.card-link a {
    color: black;
    text-decoration: none;
    text-transform: uppercase;
}

.card-title {
    color: black;
    font-size: 1.25rem;
    margin-bottom: 10px;
    font-weight: 600;
}

.card-text {
    font-size: 0.95rem;
}

:root[data-theme="light"] .case-card {
    background-color: #1A3D59;
}


.case-card {
    background: white;
    position: relative;
    transition: background .5s ease;
    border: none;
    border-radius: unset;
}

    /* BACKGROUND CHANGE */
    .case-card:hover {
        background: white;
    }

/* IMAGE AREA */
.image-area {
    position: relative;
    height: 230px;
    overflow: hidden;
}

/* IMAGE */
.card-image {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform .6s ease;
}

/* TEXT (hidden initially) */
.card-text-area {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    padding: 20px;
    transform: translateX(100%);
    transition: transform .6s ease;
    color: black;
}

/* IMAGE SLIDE LEFT */
.case-card:hover .card-image {
    transform: translateX(-100%);
}

/* TEXT COME FROM RIGHT */
.case-card:hover .card-text-area {
    transform: translateX(0);
}



/*// Laptops large devices (desktops, 1600px and up)*/
@media (min-width: 1600px) and (max-width: 1699.98px) {

    img.card-img-bottom.image {
        height: 260px;
    }

    .card-title {
        font-size: 1.4rem;
    }

    .card-text {
        font-size: 1rem;
    }
}

/*// Laptops large devices (desktops, 1400px and up)*/
@media (min-width: 1400px) and (max-width: 1599.98px) {

    img.card-img-bottom.image {
        height: 255px;
    }

    .card-title {
        font-size: 1.3rem;
    }

    .card-text {
        font-size: 0.98rem;
    }
}


/*// Laptops small devices (desktops, 1200px and up)*/
@media (min-width: 1200px) and (max-width: 1399.98px) {

    img.card-img-bottom.image {
        height: 250px;
    }

    .card-title {
        font-size: 1.2rem;
    }

    .card-text {
        font-size: 0.95rem;
    }
}


/*// Extra large devices (large desktops, 1200px and up)*/
@media (min-width: 1200px) {
}

/*// Large devices (desktops, 992px and up)*/
@media (min-width: 992px) and (max-width: 1199.98px) {

    img.card-img-bottom.image {
        height: 240px;
    }

    .card-title {
        font-size: 1.15rem;
    }

    .card-text {
        font-size: 0.9rem;
    }
}


/*// Medium devices (tablets, 768px and up)*/
@media (min-width: 768px) and (max-width: 991.98px) {

    img.card-img-bottom.image {
        height: 220px;
    }

    .card-title {
        font-size: 1.1rem;
    }

    .card-text {
        font-size: 0.88rem;
    }

    .card-body {
        padding: 15px;
    }
}


/*// Small devices (landscape phones, 576px and up)*/
@media (min-width: 576px) and (max-width: 767.98px) {
    .card-title {
        font-size: 1rem;
    }

    .card-text {
        font-size: 0.9rem;
    }

    .card-link {
        margin-left: 15px;
    }

}

/*// Extra small devices (portrait phones, less than 576px)*/
@media (max-width: 575.98px) {
    .card-title {
        font-size: 1rem;
    }

    .card-text {
        font-size: 0.9rem;
    }

    .card-link {
        margin-left: 15px;
    }

}
